Bug 207957 - (CVE-2006-4924) CVE-2006-4924 openssh DoS
CVE-2006-4924 openssh DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
reported=20060919,public=20060919,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 11:37 EDT by Josh Bressers
Modified: 2012-09-20 15:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: openssh-4.3p2-4.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 03:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-25 11:37:25 EDT
+++ This bug was initially created as a clone of Bug #207955 +++

Tavis Ormandy of the Google Security Team discovered a denial of service attack
on the openssh sshd daemon when ssh protocol version 1 is enabled.  This flaw
will cause the openssh server to consume a large quantity of the CPU until the
specified timeout is reached.

The upstream patches can be found here:
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/deattack.c.diff?r1=1.29&r2=1.30&sortby=date&f=h
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/packet.c.diff?r1=1.143&r2=1.144&sortby=date&f=h
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/deattack.h.diff?r1=1.9&r2=1.10&sortby=date&f=h
Comment 1 Fedora Update System 2006-10-03 16:02:15 EDT
openssh-4.3p2-4.10 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 David Eisenstein 2006-10-06 03:08:31 EDT
Hrm.  If this issue is resolved, then shouldn't this bug report be closed
by the Fedora Updates System?

Anyhoo, the resolution is Fedora Update Notification "FEDORA-2006-1011",
posted at:
<http://www.redhat.com/archives/fedora-package-announce/2006-October/msg00006.html>

Closing this bug.  (If I am wrong to close this bug, please let me know?)

Note You need to log in before you can comment on or make changes to this bug.